OpenStack Compute (Nova)

Instance is sometimes shutdown without any operation and report the message "Instance shutdown by itself. Calling the stop API"

Reported by zhoudonshu on 2012-12-03
6
This bug affects 1 person
Affects Status Importance Assigned to Milestone
OpenStack Compute (nova)
High
zhoudonshu
Folsom
High
Pádraig Brady

Bug Description

my environmont:
  centos5.4 + libvirt + xen

because nova.log show:
  Instance shutdown by itself. Calling the stop API

thus, i think that nova stop my instance by itself when vm_state is difference from power_state ,however this situation is often occurred in the night and nobody login in this instance or run additional program

Michael Still (mikalstill) wrote :

What version of OpenStack are you running?

Changed in nova:
status: New → Incomplete

Fix proposed to branch: master
Review: https://review.openstack.org/17449

Changed in nova:
assignee: nobody → zhoudonshu (zhoudongshu)
status: Incomplete → In Progress

Reviewed: https://review.openstack.org/17449
Committed: http://github.com/openstack/nova/commit/95e7770399a74e99f3dcad777186ee4f58e4e206
Submitter: Jenkins
Branch: master

commit 95e7770399a74e99f3dcad777186ee4f58e4e206
Author: zhoudongshu <email address hidden>
Date: Tue Dec 4 18:04:29 2012 +0800

    Avoid vm instance shutdown when power state is NOSTATE

    Occasionally when nova uses libvirt lib to query hypervisor
    xen the instance state of vm_power_state may end up
    with a NOSTATE value. Existing code shuts down the instance
    when we hit this state. Remove the check for NOSTATE
    to avoid shutting down the instance.

    Fixes LP #1085771.

    Change-Id: I0025f6800b6ca9cd3d7c7e6119b9a819571bd13c

Changed in nova:
status: In Progress → Fix Committed
Thierry Carrez (ttx) on 2013-01-09
Changed in nova:
milestone: none → grizzly-2
status: Fix Committed → Fix Released

Reviewed: https://review.openstack.org/21516
Committed: http://github.com/openstack/nova/commit/ad101ce5bac1af60adeeb5be12ec30fbd00a624e
Submitter: Jenkins
Branch: master

commit ad101ce5bac1af60adeeb5be12ec30fbd00a624e
Author: Pádraig Brady <email address hidden>
Date: Fri Feb 8 13:45:14 2013 +0000

    fix VM power state to be NOSTATE when instance not found

    * nova/compute/manager.py (_sync_power_states): Revert what looks
    like an inadvertent change that was part of commit 95e77703.
    Also log the condition.

    Fixes bug: 1085771
    Change-Id: Ic6eeb9207323f05b93f0b613bd1bddd681ad8ce5

Changed in nova:
importance: Undecided → High

Reviewed: https://review.openstack.org/22563
Committed: http://github.com/openstack/nova/commit/cb843f7a948122c55fbe244458bb44b2f68eedb9
Submitter: Jenkins
Branch: stable/folsom

commit cb843f7a948122c55fbe244458bb44b2f68eedb9
Author: Pádraig Brady <email address hidden>
Date: Thu Feb 21 16:17:13 2013 +0000

    Avoid vm instance shutdown when power state is NOSTATE

    * nova/compute/manager.py (_sync_power_states): Log the condition
    where we can retrieve the state from the hyperviser, rather than
    stopping the VM.

    Related grizzly commits are 95e77703 and ad101ce5

    Fixes bug: 1085771
    Change-Id: I5fb9fdc6bcde729c00c4931960ed0de3b8fa189d

Thierry Carrez (ttx) on 2013-04-04
Changed in nova:
milestone: grizzly-2 → 2013.1
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers